<?php
$target='guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");
?>
<script language="JavaScript">
function msgconfirma(){
	var supr;
	supr=confirm("Est� Seguro de Continuar? ");
	if (supr==true){
		return true;
	}else{
		return false;
	}
}
</script>

<?php
$nombrepagina = "CREACION DE PLANILLA POR RANGO DE GUIAS";
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;
if($filas == 1)
{
	class llamado{
		var $menuObj;
		//var
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
	class obtiene{
		var $userObj;
		function obtener($perfil){
			$this->userObj=new select_zonas();
			$tabla=$this->userObj->get_tabla($_GET['suc']);
			$_SESSION['tabla_guia']=$tabla;
		}
	}
	$_SESSION['tabla_guia'] = "guias_proceso";
	$tabla=$_SESSION['tabla_guia'];
	$pla=$_SESSION['planilla'];
?>
<link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
<link rel="stylesheet" href="css/modal-message.css" type="text/css">
<script type="text/javascript" src="js/modal-message.js"></script>
<script type="text/javascript">
messageObj = new DHTML_modalMessage();	// We only create one object of this class
messageObj.setShadowOffset(0);	// Large shadow
function displayStaticMessage(messageContent,cssClass,src)
{
document.backup.guia.disabled=true;
messageObj.setHtmlContent(messageContent);
messageObj.setSize(450,120);
messageObj.setCssClassMessageBox(cssClass);
messageObj.setSource(false);	// no html source since we want to use a static message here.
messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
messageObj.display();
}
function closeMessage(){
//(evt)
//alert('entra');
/*var con=0;
var charCode = (window.event.which) ? window.event.which : window.event.keyCode//c�digo de tecla.
if(charCode==27) {//si no es n�mero.
con=0;
}else{
con=1;
return false;
}
if(con==0) messageObj.close();	document.backup.guia.disabled=false; document.backup.guia.focus();*/
}
function cierraMessage()
{
messageObj.close();
document.backup.guia.disabled=false;
document.backup.guia.focus();
}
function reproducir() {
document.all['cancion'].src='sound/alert.wav'
}
</script>
<form action="" method="POST" name="backup">
  <CENTER>
    <table width="300" border="0" class="primaria">
      <tr class=miTable_tr>
        <td colspan="2" class=miTable_th1>
          <div align="center">..:: Seleccionar Mensajero a Planillar ::..
          </div></td>
      </tr>
      <tr class="miTable_tr">
        <td width="100" class="miTable_td"> Mensajero:</td>
        <td width="300" class="miTable_td">
          <select name="mensajero" class="inputbox" style="width:40em;">
<?
get_mensajero($_GET['suc'],$_POST['mensajero']);
            ?>
          </select></td>
      </tr>
      <tr class="miTable_tr">
        <td width="100" class="miTable_td"> Orden de Servicio:</td>
        <td width="200" class="miTable_td">
          <input type="text" name="orden" class="inputbox" value="<? if (!empty($tp_fijar)) echo $orden; ?>">
         <input name="tp_fijar" type="checkbox" class="inputbox" id="tp_consulta" size="35" <? if(!empty($tp_fijar)) print 'checked';?> >Fijar Orden
          <input type="hidden" name="cantidad" class="inputbox" value="<? if ($_POST['cantidad']==''){ echo '1';}else{ echo $_POST['cantidad']+1;}?>">
          <input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox"></td>
          </tr>
      
      <tr class=miTable_tr>
        <td class=miTable_th1 colspan="2">
          <div align="center">
            <input type="submit" name="consultar" value="Consultar" class="inputbox">
          </div></td>
      </tr>
    </table>
<?
	 if(!isset($consultar)){
	 	//echo "No ha dado click en boton";
	 }else{
        $conexionObj = new conexion();
	 			$conexionObj->conectarse();
	 			IF (!EMPTY($orden)){
        $ConDi=" and orden=$orden and id_mensajero=0 and (id_estado=12 or id_estado=19 or id_estado=16) ";
        $ConDi1=" where orden=$orden and id_mensajero=0 and (id_estado=12 or id_estado=19 or id_estado=16) ";
        $rst_select=$conexionObj->consultar("select guia from guias_proceso where id_conse=(select max(id_conse)
                                                           from guias_proceso $ConDi1) $ConDi");
	 			$ArrRetorMax=mysql_fetch_array($rst_select);          
        $Maxguia=$ArrRetorMax[0];
                   
	 	    $rst_select=$conexionObj->consultar("select guia from guias_proceso where id_conse=(select min(id_conse)
                                                  from guias_proceso $ConDi1) $ConDi");
	 			$ArrRetorMin=mysql_fetch_array($rst_select);
	 	     $Minguia=$ArrRetorMin[0];
	                 
	                 
	       $rst_select=$conexionObj->consultar("select count(*) from guias_proceso $ConDi1");
	 			 $ArrRetor=mysql_fetch_array($rst_select);
	 	     $CntGuias=$ArrRetor[0];           	                 
	                 	                 
           if((!empty($Maxguia)) and (!empty($Minguia)))
           {
         
	 				echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
					<td class=miTable_th1><div align="center">
					..:: Planillar Orden de Servicio '.$orden.' ::..</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					Guia Inicial: '.$Minguia.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					Guia Final: '.$Maxguia.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					Cantidad Para Planillar: '.$CntGuias.'</div></td></tr>';
	 		    echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
          Guia Inicial:
					<input type="text" name="inicia" readonly="yes" class="inputbox" value="'.$Minguia.'">';
					echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
          Guia Final:
					<input type="text" name="termina" class="inputbox" value="'.$Maxguia.'">';
	 				echo '</center>';
         
          echo '</tr>
                <tr class=miTable_tr>
                <td class=miTable_th1 colspan="2">
                <div align="center">
                <input type="submit" name="planillar" value="Planillar" class="inputbox" onclick="return msgconfirma() ;"/>
                </div>
                </td>
                </tr>
                </table>';         
           }else{
           	echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
					<td class=miTable_th1><div align="center">
					..:: Planillar Orden de Servicio '.$orden.' ::..</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					No Hay Guias Para Planillar</div></td></tr>';
	 				echo '</tr>                
                </div>
                </td>
                </tr>
                </table>';         
           } 
         }
	 	}##cierra el else del boton consultar
 if(!isset($planillar)){
	 	##echo "No ha dado click en boton planillar";
	 }else{	
	$conexionObj = new conexion();
	$conexionObj->conectarse();
	
  $id_pla=ConsultaPlanilla($mensajero); 
	 			if($id_pla==0){	 				
	 				$rst_crear_planilla=$conexionObj->consultar("INSERT INTO planillas VALUES (0, date(now()), time(now()), '".$_GET['id_user']."', '0', '".$mensajero."', '".$_GET['suc']."')");
	 				$id_pla=ConsultaPlanilla($mensajero);
	 			}
#echo $id_pla;
if ($conexionObj->consultar("update guias_proceso set id_mensajero=$mensajero,id_planilla=$id_pla,id_estado='13'
                                    where guia>=$inicia and guia<=$termina")>=1)
{
$rst_select=$conexionObj->consultar("UPDATE rastreo_guias SET E13='13', F13 = NOW() WHERE guia>=$inicia and guia<=$termina");	
$retor=$conexionObj->consultar("select count(*) from guias_proceso where id_planilla=$id_pla");
$cnt_planilla=mysql_fetch_array($retor);
$cnt_plan=$cnt_planilla[0];

$conexionObj->consultar("update planillas set cantidad=$cnt_plan where id_planilla=$id_pla");
$rst_select=$conexionObj->consultar("SELECT id_planilla, identificacion, nombre, cantidad ".
	 			"FROM planillas as p inner join mensajeros as m on p.id_mensajero=m.id_mensajero ".
	 			"WHERE p.id_mensajero='".$mensajero."' and p.id_planilla='".$id_pla."'");
	 			$tomar_planilla=mysql_fetch_array($rst_select);
	 			$cc=$tomar_planilla[1];
	 			$nombre=$tomar_planilla[2];
echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
				<td class=miTable_th1><div align="center">
				..:: PLANILLA No '.$id_pla.' ::..</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				CODIGO TECNICO '.$cc.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				NOMBRE TECNICO '.$nombre.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				CANTIDAD '.$cnt_plan.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_th1><div align="center"></div></td></tr></table>';
	 				if($cnt_plan>=1){
	 					echo '<table width="400" border="0"><tr><td align="center">';
	 					echo '<a href="Pdf/planilladetallada.php?planilla='.$id_pla.'&tabla='.$tabla.'&ruta='.$ruta_logo.'&id_men='.$mensajero.'" target="_blank">Ver Guias Planilladas Detalle</a></td>';
	 					echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla='.$id_pla.'&tabla='.$tabla.'&id_men='.$mensajero.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
	 					echo '</tr></table>';
	 				}
	 				echo '</center>'; 
}else
{
  echo "Error MySql: ".mysql_error();
}                                    
}
	 }##Cierra el if de validacion de usuario
	 mostrar_pie();
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
    ?>
    <td>
      <center>
        <? pie_de_pagina();?>
      </center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
    ?>
  </CENTER>
</form>
